# Модуль интеграции Dreamkas для OpenCart 3.\*

## Содержимое репозитория

- `./src/` - директория с исходным кодом модифицированного мной модуля
- `./dreamkas-opencart-3.ocmod.zip` - модифицированный модуль, готовый к установке
- `./dreamkas-f opencart.ocmod.zip` - исходный модуль для OpenCart 2.3, на котором основана данная модификация

## Описание

Модификация тестировалась на **OpenCart 3.0.2.0**.

Модуль устанавливается, удаляется, настройки сохраняются, читаются.

Статусы фискализации не сразу отображаются на главной странице заказов пока не зайдешь в сам заказ.

Вся основная логика модуля прописана здесь: `upload/catalog/controller/extension/module/dreamkas.php`

## Краткая информация об изменениях

Основано на модуле _[dreamkas-f opencart.ocmod.zip](https://help.dreamkas.ru/hc/ru/article_attachments/115010763145/dreamkas-f_opencart.ocmod.zip)_ от команды alt-team.ru.

Этот архив предоставляется самими сотрудниками Dreamkas. Он включен в репозиторий для истории.

## Важное замечание относительно НДС

В этом устаревшем модуле до сих пор существует НДС 18/180.

**Важно знать, что с 1 января 2019 эти ставки были заменены на НДС 20/120!**

## Полезные ссылки

1. [История появления этой модификации](http://blog.anthonyaxenov.ru/2018/05/09/модуль-интеграции-dreamkas-для-opencart-3-0-2-0)
2. [Открытая документация к Dreamkas API](http://kabinet.docs.apiary.io)
3. [Как подключить интернет-магазин к кассе через Кабинет?](https://help.dreamkas.ru/hc/ru/articles/115005007709)
4. [Подключить кассу к OpenCart](https://help.dreamkas.ru/hc/ru/articles/115005504689-%D0%9F%D0%BE%D0%B4%D0%BA%D0%BB%D1%8E%D1%87%D0%B8%D1%82%D1%8C-%D0%BA%D0%B0%D1%81%D1%81%D1%83-%D0%BA-OpenCart)
5. Групповой чат для разработчиков в Telegram: [@apidreamkas](https://t.me/apidreamkas)

## Поддержка

**ПОЖАЛУЙСТА, НЕ ПРОСИТЕ У МЕНЯ ПОМОЩИ!**

Я НЕ ДАЮ НИКАКИХ ГАРАНТИЙ ЕГО РАБОТОСПОСОБНОСТИ И НЕ ПРЕДОСТАВЛЯЮ ПОДДЕРЖКУ.

ЛЮБЫЕ МАНИПУЛЯЦИИ С МОДУЛЕМ — НА ВАШ СТРАХ И РИСК.

У меня нет возможности полноценно проверить насколько качественно работает этот модуль: для этого нужны реальные заказы и покупки.
Проект, в рамках которого я работал над этим модулем, я больше не поддерживаю.

У меня нет никакого интереса и необходимости в этом. Многие вещи об OpenCart, продуктах Dreamkas и этом модуле уже забыты. Поэтому, и поскольку проект изначально не мой, лично я развивать его точно не буду.

Берите и используйте. Не работает — штош. Если у вас есть какие-то доработки — pull-requests are welcome. Но лучше сделайте форк этого репозитория и развивайте проект дальше самостоятельно.

## Лицензия

[<img src="http://www.wtfpl.net/wp-content/uploads/2012/12/wtfpl-badge-1.png" alt="WTFPL" />](LICENSE)

Аргументирую:

1. Компания Dreamkas распространяет свои модули без какой-либо лицензии.
2. [Код модуля был написан командой alt-team, а не компанией Dreamkas](https://help.dreamkas.ru/hc/ru/articles/115005504689/comments/360000156078). В этом случае исключительные авторские права Dreamkas на этот код должны быть оговорены только в рамках правовых отношений с командой alt-team.
3. Этот модуль находится в открытом доступе в разделе поддержки Dreamkas. Ни [лицензионное соглашение](https://dreamkas.ru/content/kluch-oferta.pdf), ни [договор-оферта](https://dreamkas.ru/content/dogovor-oferta-clients.pdf), публично представленные на сайте Dreamkas:
   - не содержат условий использования, изменения и распространения пользователями этого модуля;
   - неприменимы для этого случая (см. п. 2)
4. [Политика обновлений компании alt-team](https://www.alt-team.ru/upgrade-policy.html) не распространяется на модуль интеграции Dreamkas и Opencart, т.к. этот модуль не продаётся на их сайте;
5. В исходном коде модуля нигде прямо не указан копирайт в соответствии со статьёй 1271 ГК РФ.

Исходя из этого, делаю выводы:

1. Компания Dreamkas и команда alt-team никоим образом не заявляют о своих правах на код модуля, об условиях его использования, распространения и изменения. Поэтому я вправе сделать это самостоятельно.
2. **[Лицензия WTFPL v2](LICENSE)** как никакая другая лучше подходит для этого случая.
3. Компания Альт-тим должна быть упомянута в тексте лицензии среди прочих авторов исходного кода, т.к. в файле `dreamkas-f opencart.ocmod.zip/install.xml` встречается её упоминание.

Я готов обсудить и изменить эти условия, если вам есть что сказать по существу.
